/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { AnimationEvent } from "@angular/animations";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { AlertControl, AlertParams } from "../../meta/alert.meta";
import { WindowResizeService } from "../../service/window-resize.service";
import { BrowserService } from "../../service/browser.service";
/**
 * 提示框组件
 */
export declare class AlertComponent implements DynamicComponentTransmitData<AlertParams>, AfterViewInit, OnDestroy {
    private windowResizeService;
    private browserService;
    constructor(windowResizeService: WindowResizeService, browserService: BrowserService);
    show: boolean;
    alertParams: AlertParams;
    mode: number;
    maxGap: number;
    alertBox: ElementRef;
    content: ElementRef;
    compareContent: ElementRef;
    resize: () => void;
    setTransmitData(alertParams: AlertParams): void;
    endFlag: boolean;
    alertControl: AlertControl;
    okClick(button: HTMLButtonElement): void;
    yesClick(button: HTMLButtonElement): void;
    noClick(button: HTMLButtonElement): void;
    close(): void;
    closed(event: AnimationEvent): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
