/**
 * Author: mingxindong
 * Date:2018-9-13
 */
import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { AnimationEvent } from "@angular/animations";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { AlertParams } from "../../meta/alert.meta";
import { WindowResizeService } from "../../service/window-resize.service";
import { BrowserService } from "../../service/browser.service";
/**
 * 图文问诊提示框组件
 */
export declare class ImgTextAlertComponent implements DynamicComponentTransmitData<AlertParams>, AfterViewInit, OnDestroy {
    private windowResizeService;
    private browserService;
    constructor(windowResizeService: WindowResizeService, browserService: BrowserService);
    show: boolean;
    alertParams: AlertParams;
    mode: number;
    maxGap: number;
    alertBox: ElementRef;
    content: ElementRef;
    compareContent: ElementRef;
    resize: () => void;
    setTransmitData(alertParams: AlertParams): void;
    endFlag: boolean;
    okClick(): void;
    yesClick(): void;
    noClick(): void;
    close(): void;
    closed(event: AnimationEvent): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
