/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { ScrollService } from "../../service/scroll.service";
import { MyIScrollOptions, Scroll } from "../../meta/scroll.meta";
import { ResetType } from "../../meta/common.meta";
import { WindowResizeService } from "../../service/window-resize.service";
import { ToolsService } from "../../service/tools.service";
import { RemService } from "../../service/rem.service";
/**
 * 滚动条
 */
export declare class ScrollDirective implements OnDestroy, AfterViewInit {
    private elementRef;
    private scrollService;
    private remService;
    private toolsService;
    private windowResizeService;
    slideUp: EventEmitter<ResetType>;
    slideDown: EventEmitter<ResetType>;
    scrollInit: EventEmitter<Scroll>;
    /**
     * 在使用原生scroll的时候参数是null
     */
    scrollChange: EventEmitter<Scroll>;
    _scrollOptions: MyIScrollOptions;
    scrollOptions: any;
    _slideDownPeriod: boolean;
    slideDownPeriod: boolean;
    simple: boolean;
    paging: boolean;
    upPaging: boolean;
    fixedHeight: string;
    fixedPercentHeight: number;
    offsetHeight: string;
    customHeight: boolean;
    private scroll;
    private host;
    private resize;
    constructor(elementRef: ElementRef, scrollService: ScrollService, remService: RemService, toolsService: ToolsService, windowResizeService: WindowResizeService);
    setHeight(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    init(): void;
}
