import { FileInfo, FileUploadParams } from "../meta/file-upload.meta";
import { AlertService } from "./alert.service";
import { ToolsService } from "./tools.service";
import { HttpService } from "./http.service";
import { FileUploadProvider } from "../meta/provider.meta";
import { FileService } from "./file.service";
export declare class FileUploadService {
    private alertService;
    private toolsService;
    private httpService;
    private fileService;
    constructor(alertService: AlertService, toolsService: ToolsService, httpService: HttpService, fileService: FileService);
    private fileUploadProvider;
    private fileServerUploadBaseUrl;
    private uploadUrl;
    private uploadCompressUrl;
    private getInfoUrl;
    setProvider(fileUploadProvider: FileUploadProvider): void;
    getFileUrl(fileId: string): string;
    getFileInfo(fileId: string, callback: (fileInfo: FileInfo) => void): void;
    formatFileSize(fileSize: number): string;
    upload(params: FileUploadParams): void;
    throwError(params: FileUploadParams, data: any): void;
    defaultFileIcon: string;
    filePostfixMap: {
        [index: string]: string[];
    };
    getFileIcon(postfix: string): string;
}
