import { HttpClient } from "@angular/common/http";
import { ToolsService } from "./tools.service";
import { DisabledService } from "./disabled.service";
import { HttpControl, HttpOptionsArgs } from "../meta/http.meta";
import { AlertService } from "./alert.service";
import { RouterService } from "./router.service";
import { HttpProvider } from "../meta/provider.meta";
export declare class HttpService {
    private http;
    private toolsService;
    private disabledService;
    private alertService;
    private routerService;
    private routerPageId;
    private baseUrl;
    private httpProvider;
    private defaultRequestOptionsArgs;
    constructor(http: HttpClient, toolsService: ToolsService, disabledService: DisabledService, alertService: AlertService, routerService: RouterService);
    setProvider(httpProvider: HttpProvider): void;
    get(options: HttpOptionsArgs): HttpControl;
    post(options: HttpOptionsArgs): HttpControl;
    del(options: HttpOptionsArgs): HttpControl;
    put(options: HttpOptionsArgs): HttpControl;
    request(options: HttpOptionsArgs): HttpControl;
    private setDefaultOptions(options);
    private success(response, options, disabledRest);
    private error(response, options, disabledRest);
    private removeUndefined(data);
}
